import { GraphNode, InputFiniteAutomaton, TFiniteAutomatonType, TransformedFiniteAutomaton } from '../types';
export declare class FiniteAutomaton {
    #private;
    testLogic: (inputString: string, automatonTestResult: boolean) => boolean;
    automaton: TransformedFiniteAutomaton;
    constructor(testLogic: (inputString: string, automatonTestResult: boolean) => boolean, finiteAutomaton: InputFiniteAutomaton | TransformedFiniteAutomaton, automatonType: TFiniteAutomatonType, automatonId?: string);
    getAutomatonId(): string;
    generateGraphFromString(inputString: string): {
        automatonTestResult: boolean;
        finalNodes: GraphNode[];
        graph: GraphNode;
    };
}
