"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const colors_1 = __importDefault(require("colors"));
function generateCaseMessage(isWrong, randomInputString, dfaTestResult, logicTestResult) {
    return {
        withColors: [
            'Result: ' + (isWrong ? colors_1.default.red.bold(`WRONG`) : colors_1.default.green.bold(`CORRECT`)),
            'String: ' + colors_1.default.yellow.bold(randomInputString),
            'Logic: ' + colors_1.default.blue.bold(logicTestResult.toString()),
            'DFA: ' + colors_1.default.blue.bold(dfaTestResult.toString()),
        ].join('\n') + '\n',
        withoutColors: [
            'Result: ' + (isWrong ? `WRONG` : `CORRECT`),
            'String: ' + randomInputString,
            'Logic: ' + logicTestResult,
            'DFA: ' + dfaTestResult,
        ].join('\n') + '\n',
    };
}
exports.default = generateCaseMessage;
